Loading...
Searching...
No Matches
hlist_head Struct Reference

A single-pointer list head to a double linked list. More...

`#include <list.h>`

## Data Fields

struct hlist_node * | first

## Detailed Description

A single-pointer list head to a double linked list.

Mostly useful for hash tables where the two pointer list head is too wasteful (hence the 'h' in its name). You lose the ability to access the tail in O(1).

This structure is modelled after the Linux kernel list API.

The documentation for this struct was generated from the following file:

- src/list.h